#
# spec file for package latte-dock
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017  Smith AR <audoban@openmailbox.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define kf5_version 5.38.0
Name:           latte-dock
Version:        0.8.8
Release:        lp151.1.1
Summary:        Task manager
License:        GPL-2.0-or-later
Group:          System/GUI/KDE
URL:            https://phabricator.kde.org/source/latte-dock/
Source:         https://download.kde.org/stable/latte-dock/latte-dock-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  libSM-devel
BuildRequires:  pkgconfig
BuildRequires:  cmake(KF5Activities) >= %{kf5_version}
BuildRequires:  cmake(KF5Archive) >= %{kf5_version}
BuildRequires:  cmake(KF5CoreAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Crash) >= %{kf5_version}
BuildRequires:  cmake(KF5DBusAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Declarative) >= %{kf5_version}
BuildRequires:  cmake(KF5GlobalAccel) >= %{kf5_version}
BuildRequires:  cmake(KF5I18n) >= %{kf5_version}
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Notifications) >= %{kf5_version}
BuildRequires:  cmake(KF5Package) >= %{kf5_version}
BuildRequires:  cmake(KF5Plasma) >= %{kf5_version}
BuildRequires:  cmake(KF5PlasmaQuick)
BuildRequires:  cmake(KF5Wayland) >= %{kf5_version}
BuildRequires:  cmake(KF5WindowSystem) >= %{kf5_version}
BuildRequires:  cmake(KF5XmlGui) >= %{kf5_version}
BuildRequires:  cmake(Qt5X11Extras) >= 5.7.0
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(zlib)
Recommends:     %{name}-lang
%if 0%{?is_opensuse}
BuildRequires:  update-desktop-files
%endif

%description
Latte is a dock based on plasma frameworks that animating its
contents by using parabolic zoom effect.

%lang_package

%prep
%setup -q

%build
%if 0%{?suse_version} <= 1315
   %cmake_kf5 -d build -- -DENABLE_MAKE_UNIQUE=ON
%else
   %cmake_kf5 -d build
%endif

%make_jobs

%install
%kf5_makeinstall -C build
%find_lang %{name} --all-name
%if 0%{?is_opensuse}
%suse_update_desktop_file -r org.kde.%{name} Utility DesktopUtility
%endif
%fdupes %{buildroot}

%files
%doc README.md
%license COPYING.LIB
%config %{_kf5_sysconfdir}/xdg/latte-layouts.knsrc
%{_kf5_bindir}/%{name}
%{_kf5_plasmadir}/
%{_kf5_qmldir}/
%{_kf5_servicesdir}/
%{_kf5_sharedir}/dbus-1/interfaces/
%{_kf5_notifydir}/
%{_kf5_iconsdir}/hicolor/24x24/
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.svg
%{_kf5_iconsdir}/breeze/
%{_kf5_sharedir}/metainfo/
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_libdir}/qt5/plugins/plasma_containmentactions_lattecontextmenu.so
%dir %{_kf5_sharedir}/kwin
%dir %{_kf5_sharedir}/kwin/scripts
%dir %{_kf5_sharedir}/kwin/scripts/activatelattelaunchermenu
%dir %{_kf5_sharedir}/kwin/scripts/activatelattelaunchermenu/contents
%dir %{_kf5_sharedir}/kwin/scripts/activatelattelaunchermenu/contents/code
%{_kf5_sharedir}/kwin/scripts/activatelattelaunchermenu/contents/code/main.js
%{_kf5_sharedir}/kwin/scripts/activatelattelaunchermenu/metadata.desktop

%files lang -f %{name}.lang

%changelog
* Mon Apr 15 2019 wbauer@tmo.at
- Update to 0.8.8
  * Multi-screen: unload properly explicit screen docks when its
    screen is not available any more
* Sat Mar  2 2019 wbauer@tmo.at
- Update to 0.8.7
  * Show dock properly on first startup. New users were trying
    Latte but it was reported that something broke during updates
    and on first startup Latte was not appearing at all. Problem
    was tracked down and identified when ~/.config/latte directory
    was not created properly. This is fixed now. (kde#404762)
* Fri Feb 15 2019 wbauer@tmo.at
- Update to 0.8.6
  * Fix previews that broke after kf5>=5.55 upgrade
  * Fix plasma shortcuts behavior for applets when "Multiple"
    layouts are used
* Sun Jan 27 2019 wbauer@tmo.at
- Update to 0.8.5
  * Important improvements for fillWidth(s)/Height(s) applets.
    Latte now tries to use plasma panels as an example in order to
    provide very similar experience with its Latte panels
  * Adjust Latte taskmanager in order to support new Plasma 5.15
    Virtual Desktops interface (kde#403358)
  * Improve splitters positioning during startup for Justify
    alignment (kde#403469)
  * Improve --replace option in order to restart Latte properly for
    all systems (kde#401041)
  * Fix maximum length ruler behavior for Latte panels
  * Create autostart folder when missing from user folder
    (kde#402934)
* Sun Dec 30 2018 wbauer@tmo.at
- Update to 0.8.4
  * Restore mouse wheel action to activate your tasks that broke
    with v0.8.3
  * Support fillWidth(s)/Height(s) applets in Left/Center/Right
    alignments, add a plasma taskmanager to see what happens
  * Do not break applets order in Justify alignment when some of
    the applets in the layout are not found in the system
  * Fix a crash that was related to grouped tasks
  * Improve launchers synchronization between different
    docks/panels
- Mark license file as %%license instead of %%doc
* Fri Nov 23 2018 wbauer@tmo.at
- Update to 0.8.3
  * Support multi-screen plasmoids that use plasmoid.screenGeometry
    such as plasma pager, plasma taskmanagers etc. Latte did not
    update the plasmoid.screenGeometry value properly in previous
    versions
  * Do not crash when moving launchers that are being synced
    between multiple docks/panels
  * Make sure that launchers order between synced docks/panels is
    always the current one after the user has ended its dragging
  * Support fillWidth/Height plasmoids better (such as plasma
    taskmanagers), now such applets can be added for all alignments
    including Left/Center/Right
  * Do not show the warning message "Your layout file is broken"
    when the statement is not valid. This check validates that the
    containments and applets ids are unique in a layout file but
    the way this was implemented in the past it was returning false
    results in some cases
* Fri Oct 26 2018 wbauer@tmo.at
- Update to 0.8.2
  * Fix wrong placement of docks during startup for multi-screen
    environments
  * Show explicit docks automatically when their corresponding
    screen is added in a multi-screen environment
  * Open files properly when dropping them on launchers
  * Improve behavior according to Fitt's Law when shrinking panel
    margins
  * Don't hide previews when hovering player buttons
  * Update delete icons to plasma design
  * Don't break BorderlessMaximized window default value
* Thu Sep 20 2018 wbauer@tmo.at
- Update to 0.8.1
  * redesign the multi-screens implementation. OnPrimary docks have
    always higher priority in multi-screen environments
  * do not move explicit dock on primary screen
  * consider "not show background" case as full transparency
  * consider preferredSize(s) only for >0 values (case of locked
    analog clock disappearing at a vertical panel)
  * if there is not any active window at all, dodge set docks should
    reappear
  * do not crash in wayland when right clicking with touchpad
  * do not double paint plama theme background when the theme does
    not contain a shadow
  * draw properly plasma theme panel backgrounds based on the edge
    that the dock or panel is present, e.g. Unity Ambiance, Nilium
  * identify maximized window screen differently
  * show grouped windows previews properly (follow plasma design
    for window previews)
  * place correctly a new copied dock in a multi-screen environment
  * enable blur for solid theme panels
  * missing global shortcuts '9' badge
  * support unified or not global shortcuts in case the user does
    not want to use the Latte unified system for its applets
* Thu Jul 19 2018 cornelis@solcon.nl
- Update to 0.8.0:
  * Simultaneous Multiple Layouts in different Activities
  * Smart dynamic Background
  * Monochrome contents based on the underlying background
    Activation Global Shortcuts are taken into account the surrounding
    applets and increased from nine to nineteen (Meta+1..9,0,z..>)
  * New improved Edit Mode image patterns or User Set ones
  * Download community-provided Latte layouts from Latte Settings window
  * Beautiful Animations (e.g. changing alignment)
  * New Maximum Length indicator at Edit Mode that you can change its value with the mouse wheel
  * Multiple Separators between Tasks and Applets
  * Borderless maximized windows per layout, the user can use that
    setting in order to replicate a Unity-style layout and a Plasma one at the same time.
  * Lock/Unlock Layouts, different layouts can become read-only and writeable
  * Ungroup tasks of the same application
  * One-Click Option to change between Panel/Dock modes
  * New Appearance Settings for Active Indicator and Glow
  * Support big number of messages badge (<=9999), like the plasma taskmanager
  * Expose Latte options in the context menu when plasma taskmanagers are used
  * More command line options to handle Latte
  * Various Wayland improvements. I use it daily in my system with Plasma 5.12
    and it provides a fantastic experience with fantastic painting.
  * Smoother parabolic animation
  * Support Kwin edges behavior when hiding the dock or panel
  * New improved splitters icons in Justify (Edit Mode)
  * Improve the entire experience with Layouts/Latte Settings window
  * Filter Windows by Launchers, show only windows that there is already a launcher present for the current running activity
  * Vastly improve the experience in !compositing environments. No more
    showing an 1px line at the screen edge when the dock is hidden.
  * New Global Shortcuts to open/hide dock settings and Latte settings (Meta+A, Meta+W, Meta+E)
  * New Kwin script to trigger the application menu from a corner-edge
  * Hide the audio badge when there no audio is coming from a pulseaudio stream
  * various fixes for RTL languages
  * New more robust animations all over the place
  * Plenty of bug fixes and improvements all over the place
  _ Update urls
* Sun Apr 22 2018 mvourlakos@gmail.com
- Update to 0.7.5
  * fix for dodge maximized in multi-screen environment
  * when copying default layouts make sure they are writable in the
  destination
  * new protocol to communicate between applets and Latte in order
  to inform them when they are in a Latte panel/dock and when they
  dont want any change in their main icon behavior
* Sat Mar 17 2018 wbauer@tmo.at
- Update to 0.7.4
  * new improved image patterns for edit mode
  * support v0.8 layout files in order to not break compatibility
  * use an svg file for Latte trademark in settings window instead
    of a font
  * fix for multi-screen environments
  * fix parabolic effect in some corner cases
  * import v0.6 launchers to v0.7 only once
  * improve bouncing anchoring
- Requires at least Qt 5.7.0 to build
* Sun Jan  7 2018 mvourlakos@gmail.com
- update to 0.7.3
  * support RTL languages
  * fix crash occuring from badges
  * improve shadow behavior and calculations for corner cases
  * support "nomad systray" and "kdeconnect sms" in Latte
    heuristics
  * expand applets when clicked at neutral areas
  * shrink a bit the task number
  * support Fitt's Law in more corner cases
  * execute Latte at the same time between different users
  * ignore X11 signals that are sent with no reason
    (e.g. Firefox 57 upstream bug:
    https://bugzilla.mozilla.org/show_bug.cgi?id=1389953)
  * take into account the applets shadow size for mask calculations
* Wed Jan  3 2018 jengelh@inai.de
- Ensure neutrality of description.
* Tue Jan  2 2018 fabian@ritter-vogt.de
- Rename to latte-dock.spec
- Add a .changes file
- Run spec-cleaner
- Split into -lang subpackage
- Don't use %%fdupes with -s
